Skip to content
GET/{organizationId}/{mandateId}/crm/mailings/{mailingId}/recipients

Get mailing recipients

Returns the recipients of a specific mailing

Required permissions:

  • mandate.read

  • mailing.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
mailingIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/mailings/{mailingId}/recipients
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings/{mailingId}/recipients' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

filteredRecipientsCountintegerrequired

minimum: 0

maximum: 9007199254740991

tagsMatchCountintegerrequired

minimum: 0

maximum: 9007199254740991

receivingCountintegerrequired

minimum: 0

maximum: 9007199254740991

mailingDisabledCountintegerrequired

minimum: 0

maximum: 9007199254740991

unbsubscribedCountintegerrequired

minimum: 0

maximum: 9007199254740991

missingAddressCountintegerrequired

minimum: 0

maximum: 9007199254740991

duplicatedAddressCountintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "filteredRecipientsCount": 0,
  "tagsMatchCount": 0,
  "receivingCount": 0,
  "mailingDisabledCount": 0,
  "unbsubscribedCount": 0,
  "missingAddressCount": 0,
  "duplicatedAddressCount": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}